Subject: [TR] Spark plug heat range

From: <[email-masked]>
Date: Thu, 8 Jun 2023 14:49:12 +0100

I've never noticed sparking plugs with variable heat ranges causing problems
on Standard Triumph engines in a normal or modified state of tune, providing
the engines were fitted with SU, Stromberg, Solex or Zenith carbs. Provided
the threaded part of the plug met specification in terms of length, the
engines ran happily on almost any type of Champion plug.

That said, as far as fuel injection was concerned, any Champion plug was
best consigned to the rubbish bin because they oiled up very quickly and
took an eternity to clear. That's why on my 2.5PI saloon and its smaller
2000 saloon sister, I always ran NGK BP6ES plugs which hardly ever fouled
and if they did, they cleared almost instantly. The NGK plug is used by
virtually everyone in the UK and Europe with an injected Triumph and the
equivalent Nippon Denso plug was also as good, though a bit more pricey.
Just sayin'

Jonmac

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive